POST
/
funnels
/
funnel
/
update-settings
cURL
curl --request POST \
--url https://services.leadconnectorhq.com/funnels/funnel/update-settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"locationId": "<string>",
"funnelId": "<string>",
"funnelName": "<string>",
"funnelPath": "<string>",
"domainId": "<string>",
"faviconUrl": "<string>",
"headTrackingCode": "<string>",
"bodyTrackingCode": "<string>",
"allowPaymentModeOption": true,
"paymentMode": true,
"requireCreditCard": true,
"chatWidgetId": "<string>",
"imageOptimization": true,
"isGdprCompliant": true,
"isOptimisePageLoad": true,
"description": "<string>",
"stopAllSplitTestsAndReset": {
"locationId": "<string>",
"funnelId": "<string>",
"userId": "<string>"
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
locationId: '<string>',
funnelId: '<string>',
funnelName: '<string>',
funnelPath: '<string>',
domainId: '<string>',
faviconUrl: '<string>',
headTrackingCode: '<string>',
bodyTrackingCode: '<string>',
allowPaymentModeOption: true,
paymentMode: true,
requireCreditCard: true,
chatWidgetId: '<string>',
imageOptimization: true,
isGdprCompliant: true,
isOptimisePageLoad: true,
description: '<string>',
stopAllSplitTestsAndReset: {locationId: '<string>', funnelId: '<string>', userId: '<string>'}
})
};
fetch('https://services.leadconnectorhq.com/funnels/funnel/update-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/funnels/funnel/update-settings"
payload = {
"locationId": "<string>",
"funnelId": "<string>",
"funnelName": "<string>",
"funnelPath": "<string>",
"domainId": "<string>",
"faviconUrl": "<string>",
"headTrackingCode": "<string>",
"bodyTrackingCode": "<string>",
"allowPaymentModeOption": True,
"paymentMode": True,
"requireCreditCard": True,
"chatWidgetId": "<string>",
"imageOptimization": True,
"isGdprCompliant": True,
"isOptimisePageLoad": True,
"description": "<string>",
"stopAllSplitTestsAndReset": {
"locationId": "<string>",
"funnelId": "<string>",
"userId": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Response
201 - undefined
Last modified on May 19, 2026
Was this page helpful?
⌘I
cURL
curl --request POST \
--url https://services.leadconnectorhq.com/funnels/funnel/update-settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"locationId": "<string>",
"funnelId": "<string>",
"funnelName": "<string>",
"funnelPath": "<string>",
"domainId": "<string>",
"faviconUrl": "<string>",
"headTrackingCode": "<string>",
"bodyTrackingCode": "<string>",
"allowPaymentModeOption": true,
"paymentMode": true,
"requireCreditCard": true,
"chatWidgetId": "<string>",
"imageOptimization": true,
"isGdprCompliant": true,
"isOptimisePageLoad": true,
"description": "<string>",
"stopAllSplitTestsAndReset": {
"locationId": "<string>",
"funnelId": "<string>",
"userId": "<string>"
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
locationId: '<string>',
funnelId: '<string>',
funnelName: '<string>',
funnelPath: '<string>',
domainId: '<string>',
faviconUrl: '<string>',
headTrackingCode: '<string>',
bodyTrackingCode: '<string>',
allowPaymentModeOption: true,
paymentMode: true,
requireCreditCard: true,
chatWidgetId: '<string>',
imageOptimization: true,
isGdprCompliant: true,
isOptimisePageLoad: true,
description: '<string>',
stopAllSplitTestsAndReset: {locationId: '<string>', funnelId: '<string>', userId: '<string>'}
})
};
fetch('https://services.leadconnectorhq.com/funnels/funnel/update-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/funnels/funnel/update-settings"
payload = {
"locationId": "<string>",
"funnelId": "<string>",
"funnelName": "<string>",
"funnelPath": "<string>",
"domainId": "<string>",
"faviconUrl": "<string>",
"headTrackingCode": "<string>",
"bodyTrackingCode": "<string>",
"allowPaymentModeOption": True,
"paymentMode": True,
"requireCreditCard": True,
"chatWidgetId": "<string>",
"imageOptimization": True,
"isGdprCompliant": True,
"isOptimisePageLoad": True,
"description": "<string>",
"stopAllSplitTestsAndReset": {
"locationId": "<string>",
"funnelId": "<string>",
"userId": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)